Summary: GNOME VNC server and client
Name: vino
Version: 3.4.1
Release: 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/vino/%(echo %version |cut -d. -f1-2)/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Networking/Remote access
Url: http://www.gnome.org

BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnutls) >= 3.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(zlib)

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
%configure2_5x \
  --disable-http-server

%make

%install
%makeinstall_std
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
#{_sysconfdir}/gconf/schemas/vino-server.schemas
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_bindir}/vino-passwd
%{_bindir}/vino-preferences
%{_libexecdir}/vino-server
%{_datadir}/vino
%{_datadir}/applications/vino-preferences.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/GConf/gsettings/org.gnome.Vino.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/telepathy/clients/Vino.client


%changelog
* Sat Apr 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.1-1
+ Revision: 794370
- version update 3.4.1

* Tue Mar 27 2012 Bernhard Rosenkraenzer <bero@bero.eu> 3.4.0-1
+ Revision: 787667
- Rebuild for gnutls 3.x
- Update to 3.4.0 while at it

* Mon Mar 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-1
+ Revision: 782244
- new version 3.2.2
- cleaned up spec

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.2-2
+ Revision: 677088
- rebuild to add gconf2 as req

* Mon May 02 2011 Götz Waschk <waschk@mandriva.org> 2.32.2-1
+ Revision: 662589
- update to new version 2.32.2

* Thu Apr 07 2011 Funda Wang <fwang@mandriva.org> 2.32.1-2
+ Revision: 651704
- add BR
- clean up BRs

* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 624116
- update to new version 2.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581327
- update to new version 2.32.0

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574415
- new version
- update file list

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 529680
- update to new version 2.28.2

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.28.1-2mdv2010.1
+ Revision: 489479
- fix BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libjpeg v8

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458698
- Release 2.28.1

* Tue Sep 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 447423
- Enable telepathy and gnome-keyring support

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446598
- update to new version 2.28.0

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432576
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421048
- update to new version 2.27.91

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.27.90-2mdv2010.0
+ Revision: 416665
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414960
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401435
- new version
- drop patch 0
- fix build
- update file list

  + Funda Wang <fwang@mandriva.org>
    - build with latest gnutls 2.8

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377375
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366963
- update to new version 2.26.1

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356455
- New version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347304
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341029
- new version
- update file list

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336490
- update to new version 2.25.90

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-2mdv2009.1
+ Revision: 332508
- build with libunique

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332330
- update build deps
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325334
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315814
- update to new version 2.25.3

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295725
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286840
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282770
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278498
- new version
- update file list

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273562
- new version
- update file list

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240777
- new version
- update buildrequires
- update file list

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211683
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192462
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183517
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174799
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165243
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159353
- new version
- new version

  + Funda Wang <fwang@mandriva.org>
    - rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108390
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103011
- new version
- drop patch
- drop session management support
- enable libnotify support

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98455
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89053
- new version

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 78383
- new version
- fix desktop entry

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63294
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50682
- new version
- update file list

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14052
- new version

